---
title: SpeechSynthesisVoice
slug: Web/API/SpeechSynthesisVoice
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - SpeechSynthesisVoice
  - Web Speech API
  - speech
  - synthesis
---
<p>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>SpeechSynthesisVoice</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> represents a voice that the system supports. Every <code>SpeechSynthesisVoice</code> has its own relative speech service including information about language, name and URI.</p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("SpeechSynthesisVoice.default")}} {{readonlyinline}}</dt>
	<dd>A {{domxref("Boolean")}} indicating whether the voice is the default voice for the current app language (<code>true</code>), or not (<code>false</code>.)</dd>
	<dt>{{domxref("SpeechSynthesisVoice.lang")}} {{readonlyinline}}</dt>
	<dd>Returns a BCP 47 language tag indicating the language of the voice.</dd>
	<dt>{{domxref("SpeechSynthesisVoice.localService")}} {{readonlyinline}}</dt>
	<dd>A {{domxref("Boolean")}} indicating whether the voice is supplied by a local speech synthesizer service (<code>true</code>), or a remote speech synthesizer service (<code>false</code>.)</dd>
	<dt>{{domxref("SpeechSynthesisVoice.name")}} {{readonlyinline}}</dt>
	<dd>Returns a human-readable name that represents the voice.</dd>
	<dt>{{domxref("SpeechSynthesisVoice.voiceURI")}} {{readonlyinline}}</dt>
	<dd>Returns the type of URI and location of the speech synthesis service for this voice.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following snippet is excerpted from our <a class="external external-icon" href="https://github.com/mdn/web-speech-api/tree/master/speak-easy-synthesis">Speech synthesiser demo</a>.</p>

<pre class="brush: js">function populateVoiceList() {
  voices = synth.getVoices();

  for(i = 0; i &lt; voices.length ; i++) {
    var option = document.createElement('option');
    option.textContent = voices[i].name + ' (' + voices[i].lang + ')';

    if(voices[i].default) {
      option.textContent += ' -- DEFAULT';
    }

    option.setAttribute('data-lang', voices[i].lang);
    option.setAttribute('data-name', voices[i].name);
    voiceSelect.appendChild(option);
  }
}

populateVoiceList();
if (speechSynthesis.onvoiceschanged !== undefined) {
  speechSynthesis.onvoiceschanged = populateVoiceList;
}

inputForm.onsubmit = function(event) {
  event.preventDefault();

  var utterThis = new SpeechSynthesisUtterance(inputTxt.value);
  var selectedOption = voiceSelect.selectedOptions[0].getAttribute('data-name');
  for(i = 0; i &lt; voices.length ; i++) {
    if(voices[i].name === selectedOption) {
      utterThis.voice = voices[i];
    }
  }
  utterThis.pitch = pitch.value;
  utterThis.rate = rate.value;
  synth.speak(utterThis);

  utterThis.onpause = function(event) {
    var char = event.utterance.text.charAt(event.charIndex);
    console.log('Speech paused at character ' + event.charIndex + ' of "' +
    event.utterance.text + '", which is "' + char + '".');
  }

  inputTxt.blur();
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#speechsynthesisvoice', 'SpeechSynthesisVoice')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechSynthesisVoice")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
